Bug 176550 - deskutils/timer-applet: update to version 2.1.4
Summary: deskutils/timer-applet: update to version 2.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-02 06:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.71 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:08 UTC
- Update to version 2.1.4
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:12:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:02:17 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 06:23:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-02 06:23:19 UTC
Author: miwi
Date: Sat Mar  2 06:23:11 2013
New Revision: 313203
URL: http://svnweb.freebsd.org/changeset/ports/313203

Log:
  - Update to 2.1.4
  - Trim header
  - Update WWW
  
  PR:		176550
  Submitted by:	Ports Fury

Modified:
  head/deskutils/timer-applet/Makefile   (contents, props changed)
  head/deskutils/timer-applet/distinfo   (contents, props changed)
  head/deskutils/timer-applet/pkg-descr   (contents, props changed)

Modified: head/deskutils/timer-applet/Makefile
==============================================================================
--- head/deskutils/timer-applet/Makefile	Sat Mar  2 06:04:49 2013	(r313202)
+++ head/deskutils/timer-applet/Makefile	Sat Mar  2 06:23:11 2013	(r313203)
@@ -1,31 +1,32 @@
-# New ports collection makefile for:	timer-applet
-# Date created:		2005-01-12
-# Whom:			Michael Johnson <ahze@FreeBSD.org>
-#
+# Created by: Michael Johnson <ahze@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	timer-applet
-PORTVERSION=	2.1.2
-PORTREVISION=	6
+PORTVERSION=	2.1.4
 CATEGORIES=	deskutils
-MASTER_SITES=	SF/timerapplet/timerapplet/${PORTNAME}-${PORTVERSION}
+MASTER_SITES=	http://launchpadlibrarian.net/52401395/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A timer applet for the GNOME panel
+COMMENT=	Timer applet for the GNOME panel
 
-RUN_DEPENDS=	${LOCALBASE}/share/sounds/gtk-events/clicked.wav:${PORTSDIR}/audio/gnome-audio \
-		${LOCALBASE}/libdata/pkgconfig/dbus-python.pc:${PORTSDIR}/devel/py-dbus \
-		${LOCALBASE}/libdata/pkgconfig/notify-python.pc:${PORTSDIR}/devel/py-notify
+LICENSE=	GPLv2 # (or later)
+
+RUN_DEPENDS=	gnome-audio>0:${PORTSDIR}/audio/gnome-audio \
+		${PYTHON_PKGNAMEPREFIX}dbus>0:${PORTSDIR}/devel/py-dbus \
+		${PYTHON_PKGNAMEPREFIX}notify>0:${PORTSDIR}/devel/py-notify
+
+WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USE_GNOME=	gnomehack gnomeprefix intlhack pygnomedesktop
-USE_PYTHON=	2.5+
+USE_PYTHON=	yes
 USE_GETTEXT=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--libdir=${PREFIX}/libexec
+MAKE_JOBS_SAFE=	yes
+
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
-CONFIGURE_ARGS=	--libdir=${PREFIX}/libexec
 
 GCONF_SCHEMAS=	timer-applet.schemas
 

Modified: head/deskutils/timer-applet/distinfo
==============================================================================
--- head/deskutils/timer-applet/distinfo	Sat Mar  2 06:04:49 2013	(r313202)
+++ head/deskutils/timer-applet/distinfo	Sat Mar  2 06:23:11 2013	(r313203)
@@ -1,2 +1,2 @@
-SHA256 (timer-applet-2.1.2.tar.gz) = e0689342fa14a24c940534b6bd7d52849fd71a4274b21270c7611d60eb852d8a
-SIZE (timer-applet-2.1.2.tar.gz) = 203617
+SHA256 (timer-applet-2.1.4.tar.gz) = 26d794da947ae09685a012d36cedf2a7ece1b05357ecaa9755a1475350988648
+SIZE (timer-applet-2.1.4.tar.gz) = 410129

Modified: head/deskutils/timer-applet/pkg-descr
==============================================================================
--- head/deskutils/timer-applet/pkg-descr	Sat Mar  2 06:04:49 2013	(r313202)
+++ head/deskutils/timer-applet/pkg-descr	Sat Mar  2 06:23:11 2013	(r313203)
@@ -9,4 +9,4 @@ Highlights:
     * Each applet remembers your last-used timer, even after you log out
     * User interface follows the GNOME Human Interface Guidelines
 
-WWW: http://timerapplet.sourceforge.net/
+WWW: http://launchpad.net/timer-applet
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"